package com.djhk.uav.equ.mapper;


import com.djhk.uav.equ.domain.EquInfoEntity;
import com.djhk.uav.equ.domain.dto.EquInfoExportDto;
import com.djhk.uav.equ.domain.vo.EquInfoExportVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 设备台账
 *
 * @author gzm
 * @since 1.0.0 2023-06-07
 */
public interface EquInfoMapper
{

    public List<EquInfoEntity> selectEquInfoList(EquInfoEntity equInfoEntity);





    public EquInfoEntity selectEquInfoById(String equId);



    public int deleteEquInfoById(String equId);


    public int deleteEquInfoByIds(@Param("equIds") String[] equIds);

    public int insertEquInfo(EquInfoEntity equInfoEntity);


    public int updateEquInfo(EquInfoEntity equInfoEntity);

    public List<Map<String , Object>> getEquTj(String organId);


    public List<Map<String , Object>> getEquTjForDept(String organId);

    public int updateEquInfoByIds(@Param("equIds") String[] equIds);

    List<EquInfoEntity> selectMonitorEquList(String[] typeIds);

    Integer selectEquInfoTotal(Long deptId);

    EquInfoEntity selectEquInfoByEquSn(EquInfoEntity equInfoEntity);

    List<EquInfoEntity> selectEquInfoExportList(EquInfoEntity equInfoEntity);

    EquInfoEntity selectEquInfoByTypeId(@Param("typeId") String typeId,@Param("deptId") String deptId);
}
